extends Sprite2D

@onready var label : Label = $Label

func _ready():
	var move_tween = create_tween()
	move_tween.tween_property(self, "position:y", -40, 1.25)
	var fade_tween = create_tween()
	modulate.a = 0
	fade_tween.tween_property(self, "modulate:a", 1, .15)
	fade_tween.tween_interval(0.85)
	fade_tween.tween_property(self, "modulate:a", 0, .25)
	fade_tween.tween_callback(queue_free)
	
func set_label(string : String) -> void:
	if label != null:
		label.text = string
